/*
 * Copyright (c) 2009 University of Durham, England
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 * * Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 *
 * * Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 *
 * * Neither the name of 'SynergyNet' nor the names of its contributors 
 *   may be used to endorse or promote products derived from this software 
 *   without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package apps.remotecontrol.tableportal;

import java.awt.Color;

public class GraphConfig {
	//Main window parameters
	public static final int MAIN_WINDOW_WIDTH = 510;
	public static final int MAIN_WINDOW_HEIGHT = 340;
	public static final int MAIN_WINDOW_BORDER_SIZE = 10;
	public static final Color MAIN_WINDOW_BACKGROUND_COLOR = Color.red;
	
	
	// Control panel parameters
	public static final int CONTROL_PANEL_BUTTON_WIDTH = 32;
	public static final int CONTROL_PANEL_BUTTON_HEIGHT = 32;
	public static final int CONTROL_PANEL_BORDER_SIZE = 1;
	public static final int CONTROL_PANEL_HEIGHT = 320;
	public static final Color CONTROL_PANEL_BACKGROUND_COLOR = Color.LIGHT_GRAY;
	public static final Color CONTROL_PANEL_BORDER_COLOR = Color.DARK_GRAY;
	public static final int COLOR_LIST_ITEM_HEIGHT = 30;
	public static final int NO_OF_LINE_WIDTH_LEVELS = 3;
	public static final int LINE_WIDTH_SHIFT = 6;
	public static final int TOP_BAR_WIDTH = 40;
	public static final int CONTROL_PANEL_WIDTH = 77;	
}
