/*
 * Copyright (c) 2009 University of Durham, England
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 * * Redistributions of source code must retain the above copyright
 *   notice, this list of conditions and the following disclaimer.
 *
 * * Redistributions in binary form must reproduce the above copyright
 *   notice, this list of conditions and the following disclaimer in the
 *   documentation and/or other materials provided with the distribution.
 *
 * * Neither the name of 'SynergyNet' nor the names of its contributors
 *   may be used to endorse or promote products derived from this software
 *   without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package synergynetframework.appsystem.contentsystem.contentloader.config;

public class AttributeConstants {

	public static final String LOCATION_FILE_PATH = "locationFile";
	public static final String APPEARANCE_FILE_PATH = "appearanceFile";
	public static final String DEFAULT_APPEARANCE_FILE_PATH = "defaultAppearanceFile";
	public static final String GESTURE_FILE_PATH = "gestureFile";

	public static final String ITEM_ID = "id";
	public static final String ITEM_CONTENTITEMTYPE="contentItemType";
	public static final String ITEM_CATEGORY="category";
	public static final String ITEM_CONTENTS = "content";
	public static final String ITEM_IMAGE_PATH = "imagePath";

	public static final String ITEM_SCALE = "scale";
	public static final String ITEM_ANGLE = "angle";
	public static final String ITEM_BACKGROUNDCOLOR = "bgColour";
	public static final String ITEM_BORDERSIZE = "borderSize";
	public static final String ITEM_BORDERCOLOR = "borderColour";
	public static final String ITEM_ISVISIABLE = "isVisiable";

	public static final String ITEM_WIDTH = "width";
	public static final String ITEM_HEIGHT = "height";

	public static final String ITEM_TEXT = "text";
	public static final String ITEM_TEXTCOLOR = "textColour";
	public static final String ITEM_FONT = "font";
	public static final String ITEM_FONTSIZE = "fontSize";
	public static final String ITEM_CHARSPERLINE = "charsPerLine";
	public static final String ITEM_AUTOFIT = "autoFit";
	public static final String ITEM_AUTOSEPERATEMULTILINES = "autoSeperateMultiLines";

	public static final String ITEM_IMAGE_X = "imageX";
	public static final String ITEM_IMAGE_Y = "imageY";
	public static final String ITEM_IMAGE_WIDTH = "imageWidth";
	public static final String ITEM_IMAGE_HEIGHT = "imageHeight";
	public static final String ITEM_IMAGE_AUTORATIO = "isAutoRatioByImageHeight";

	public static final String DEFAULT_LOCATION_X = "defaultLocationX";
	public static final String DEFAULT_LOCATION_Y = "defaultLocationY";
	public static final String DEFAULT_LOCATION_Z = "defaultLocationZ";
	public static final String DEFAULT_SORTORDER = "defaultSortOrder";
	public static final String ITEM_LOCATION_X = "x";
	public static final String ITEM_LOCATION_Y = "y";
	public static final String ITEM_LOCATION_Z = "z";
	public static final String ITEM_SORTORDER = "sortOrder";

	public static final String RANDOMANGLE = "Random";

	public static final String CONTENTITEM_TYPE_MULTILINETEXTLABEL = "multiLineTextLabel";
	public static final String CONTENTITEM_TYPE_FRAME = "frame";
	public static final String CONTENTITEM_TYPE_IMAGETEXTLABEL = "imageTextLabel";

	public static final String ITEM_MANIPULATE = "manipulate";
	public static final String ITEM_ISBOUNDARYENABLED = "isBoundaryEnabled";
	public static final String ITEM_ROTATETRANSLATESCALABLE = "rotateTranslateScalable";
	public static final String ITEM_BRINGTOTOPABLE = "bringToTopable";
	public static final String ITEM_SNAPABLE = "snapable";
	public static final String ITEM_FLICKABLE = "flickable";
	public static final String ITEM_SPINNABLE = "spinnable";
	public static final String ITEM_SCALEMOTIONABLE = "scaleMotionable";

	public static final String ITEM_INNER_NOTE="innerNote";
	public static final String ITEM_INNER_NOTE_ON="innerNoteOn";

}
